<?php

/**
 * @package Envs Switcher
 * @version 1.3.0
 */

defined('ABSPATH') or exit();

class slwsu_envs_switcher_options {
    
    /**
     * ...
     */
    public static function options() {
        $return = [
            // Options plugin
            'environement' => '',
            'localhost' => '',
            'developpement' => '',
            'test' => '',
            'demonstration' => '',
            'production' => '',
            // Options config
            'delete_options' => 'false',
            'grouper' => 'Grouper'
        ];
        return $return;
    }
    
    /**
     * ...
     */
    public static function get_options() {
        $return = [];
        foreach (self::options() as $k => $v):
            $return['slwsu_envs_switcher_' . $k] = get_option('slwsu_envs_switcher_' . $k, $v);
        endforeach;
        unset($k, $v);

        return $return;
    }
    
    /**
     * ...
     */
    public static function get_transient() {
        $return = get_transient('slwsu_envs_switcher_options');
        return $return;
    }
    
    /**
     * ...
     */
    public static function set_transient($aOptions) {
        set_transient('slwsu_envs_switcher_options', $aOptions, '');
    }

}
