<?php

/**
 * @package Envs Switcher
 * @version 1.3.0
 */

defined('ABSPATH') or exit();

class slwsu_envs_switcher_plugin_init{
    
    public function __construct(){
        $this->_init();
    }
    
    private function _init(){
        if(is_admin()):
            include_once plugin_dir_path(__FILE__) . 'admin/init.php';
            new slwsu_envs_switcher_admin_init();
        else:
            include_once plugin_dir_path(__FILE__) . 'front/init.php';
            new slwsu_envs_switcher_front_init();
        endif;
        
        $this->switcher();
    }

    /**
     * Ajoute le switcher
     */
    private function switcher() {
        if('' !== (get_option('slwsu_envs_switcher_environement', ''))):
            include plugin_dir_path(__FILE__) . 'switcher/switcher.php';
        endif;
    }
    
}